"""
Command-line capability launcher

Sends a request for a capability execution to the capability service
"""
import argparse
import requests

from workspaces.schema import Capability
from ._version import ___version___ as version


def request_capability():
    """
    Send HTTP request to capability service and accept a return request
    :return:
    """
    pass


def _make_arg_parser() -> argparse.ArgumentParser:
    """
    Create argument parser for command-line arguments
    :return: An argument parser object
    """
    description = (
        f"Command-line capability launcher v{version}. For now, this is used to launch the"
        f"null capability. In the future, capabilities will be launched from a web UI and"
        f"stored in the archive."
    )
    parser = argparse.ArgumentParser(
        description=description, formatter_class=argparse.RawTextHelpFormatter
    )
    parser.add_argument(
        "-c",
        "--capability",
        action="store",
        required=True,
        help="file that contains a capability definition",
    )

    return parser


def main():
    args = _make_arg_parser().parse_args()
    capability = Capability.from_file(args.capability)
    # Submit HTTP capability request to server
    # Get answer back and do something with that


if __name__ == "__main__":
    main()
